<template>
  <q-layout view="lHh LpR lfr">
    <q-header style="backgroundColor: rgba(255, 255, 255, 0.95);">
      <q-toolbar dense app flat style="backgroundColor: transparent;">
        <div class="landing-section">
          <div>
            <img
              src="/statics/images/logo-color-positive.svg"
              alt
              class="image"
            />
          </div>
          <button class="blockstack-button" @click="signIn">
            <div class="blockstack-logo"></div>
            <div class="another-part-of-the-button">
              <div class="sign-in-blockstack">Sign in with Blockstack</div>
            </div>
          </button>
        </div>
      </q-toolbar>
    </q-header>
    <div class="body-2">
      <q-page-container>
        <q-page>
          <div class="header-messaging w-container">
            <div class="header-landing">Discover a better internet</div>
            <div class="underline"></div>
            <div class="body-landing">
              Webby helps you find web apps where you control your own data (aka
              decentralized applications, or “dapps”).
            </div>
          </div>
          <div class="devices w-container">
            <img
              src="/statics/images/laptop-screenshot.jpg"
              sizes="(max-width: 767px) 100vw, (max-width: 991px) 728px, 800px"
              alt
              class="laptop"
            />
            <img
              src="/statics/images/phone-screenshot.jpg"
              sizes="(max-width: 479px) 100vw, (max-width: 767px) 480px, 100vw"
              alt
              class="phone"
            />
          </div>
          <div class="bottom-circle-yay-fun">
            <div class="bottom-circle-content">
              <div class="floating-circle-above-the-bottom-circle"></div>
              <div class="arrow-pointy-nubbin"></div>
              <div class="rectangle-around-social-icons">
                <a href="https://twitter.com/web3forall">
                  <div class="twitter"></div>
                </a>

                <a href="https://www.producthunt.com/posts/webby">
                  <div class="product-hunt"></div>
                </a>
                <a href="https://gitlab.com/riot.ai/w3b3">
                  <div class="gitlab"></div>
                </a>
              </div>
              <div class="runriotllc">© 2019 RunRiot, LLC.</div>
            </div>
          </div>
          <!-- features row -->
        </q-page>
      </q-page-container>
    </div>
  </q-layout>
</template>
<script>
import { userSession, blockstack } from "boot/blockstack";
import { mapActions } from "vuex";

export default {
  name: "Index",
  data() {
    return {
      searchTerm: "",
      showPageModal: false,
      user: { name: "Test User", avatarUrl: "/statics/avatar-placeholder.png" },
      coreAPIURL: "https://core.blockstack.org/v1",
      defaultProfilePic: "statics/avatar-placeholder.png",
      searchResults: [],
      prompt: false,
      fileName: "new_file",
      inProgress: false,
      files: []
    };
  },
  computed: {
    profile() {
      return this.userSession.isUserSignedIn()
        ? new blockstack.Person(this.userSession.loadUserData().profile)
        : null;
    },
    profileImagePath() {
      var imagePath = this.defaultProfilePic;
      if (this.profile && this.profile.avatarUrl()) {
        imagePath = this.profile.avatarUrl();
      }
      return imagePath;
    },
    username() {
      return userSession.isUserSignedIn()
        ? userSession.loadUserData().username
        : null;
    }
  },
  methods: {
    ...mapActions({
      setUser: "setUser"
    }),
    async signIn() {
      userSession.redirectToSignIn();
    },
    logout() {
      userSession.signUserOut();
      this.$router.push("/");
      window.location.replace(window.location.origin);
    }
  }
};
</script>
<style>
input:focus {
  outline: none;
}
.searchbox {
  border: 0px;
  border-radius: 8px;
  padding-left: 10px;
  padding-right: 10px;
  padding-top: 4px;
  padding-bottom: 4px;
  background-color: rgba(255, 255, 255, 0.5);
  height: 40x;
  flex-direction: row;
  min-width: 300px;
  display: flex;
  justify-content: space-between;
}
.search-icon {
  margin-right: 7px;
  padding-top: 3px;
}
</style>
